%define upstream_name    Dist-Zilla-Plugin-CheckVersionIncrement
%define upstream_version 0.121750

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Prevent a release unless the version number is incremented
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(Encode)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(JSON::PP)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Most)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This plugin prevents your from releasing a distribution unless it has a
version number _greater_ than the latest version already indexed on CPAN.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.121.750-10.mga9
+ Revision: 1803196
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.121.750-9.mga8
+ Revision: 1494225
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.121.750-8.mga7
+ Revision: 1267509
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.121.750-7.mga6
+ Revision: 1026179
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.121.750-6.mga6
+ Revision: 948021
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.121.750-5.mga5
+ Revision: 744372
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.121.750-3.mga4
+ Revision: 511002
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.121.750-2.mga3
+ Revision: 366109
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.121.750-1.mga3
+ Revision: 267299
- update to 0.121750

* Mon Jan 09 2012 jquelin <jquelin> 0.120.80-1.mga2
+ Revision: 193789
- update to 0.120080

* Fri Jan 06 2012 jquelin <jquelin> 0.120.50-1.mga2
+ Revision: 192611
- imported package perl-Dist-Zilla-Plugin-CheckVersionIncrement


* Fri Jan 06 2012 cpan2dist 0.120050-1mga
- initial mageia release, generated with cpan2dist
